package hellojpa;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

import javax.persistence.Table;

@Entity
@Table(name="STUDENT_2")
public class Student {
	private long studentId = System.currentTimeMillis();;
	private String name;
	private String zodiacSign;
	private Grade grade;

	public Student(){}
	public Student(String name, String zodiacSign) {
		super();
		this.name = name;
		this.zodiacSign = zodiacSign;
	}

	@Id
	// @Column(name="STUDENT_ID")
	public long getStudentId() {
		return studentId;
	}

	public void setStudentId(long studentId) {
		this.studentId = studentId;
	}
	// @Column(name="STUDENT_NAME")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	// @Column(name="STUDENT_ZODIAC")
	public String getZodiacSign() {
		return zodiacSign;
	}

	public void setZodiacSign(String zodiacSign) {
		this.zodiacSign = zodiacSign;
	}

	@ManyToOne(cascade = CascadeType.PERSIST)
	// @JoinColumn(name="GRADE_ID")
	public Grade getGrade() {
		return grade;
	}

	public void setGrade(Grade grade) {
		this.grade = grade;
	}
}
