package hellojpa;

//import Grade;
//import Student;

//import java.util.*;
import java.util.List;

import javax.persistence.*;

/**
 * A very simple, stand-alone program that stores a new entity in the database
 * and then performs a query to retrieve it.
 */
public class Task1 {

	@SuppressWarnings("unchecked")
	public static void main(String[] args) {
		EntityManagerFactory factory = Persistence
				.createEntityManagerFactory("hellojpa");
		try {
			EntityManager em = factory.createEntityManager();
			em.getTransaction().begin();
			
			Grade g1 = new Grade("9a");
			g1.addStudent(new Student("Ivan", "Fish"));
			g1.addStudent(new Student("Mary", "Maiden"));
			g1.addStudent(new Student("Lili", "Scorpion"));
			em.persist(g1);

			Grade g2 = new Grade("5v");
			g2.addStudent(new Student("Georgi", "Ram"));
			g2.addStudent(new Student("Mary", "Lion"));
			g2.addStudent(new Student("Dimitar", "Archer"));
			em.persist(g2);
			em.getTransaction().commit();
			System.out.println("Done");//*/
			
			Query query = em.createQuery("select gg from Grade gg");
			System.out.println(query.getResultList().size());
			for (Grade g : (List<Grade>) query.getResultList()) {
	            System.out.printf("%s (created on: %s)\n", g.getName()); 
	        }
			em.close();
		} finally {
			factory.close();
		}
	}
}
